gnutls_x509_crq_set_key(3)

NAME
gnutls_x509_crq_set_key - This function will associate the Certificate request with a key

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crq_set_key(gnutls_x509_crq_t crq, gnutls_x509_privkey_t key);

ARGUMENTS

gnutls_x509_crq_t crq
    should contain a gnutls_x509_crq_t structure

gnutls_x509_privkey_t key
    holds a private key

DESCRIPTION
This function will set the public parameters from the given private key to the request. Only RSA keys are currently supported. Returns 0 on success.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2006, 2007 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.